
.TH "GCLOUD_AI_MODEL\-GARDEN_MODELS_LIST" 1



.SH "NAME"
.HP
gcloud ai model\-garden models list \- list the publisher models in Model Garden



.SH "SYNOPSIS"
.HP
\f5gcloud ai model\-garden models list\fR [\fB\-\-can\-deploy\-hugging\-face\-models\fR] [\fB\-\-full\-resource\-name\fR] [\fB\-\-model\-filter\fR=\fIMODEL_FILTER\fR] [\fB\-\-filter\fR=\fIEXPRESSION\fR] [\fB\-\-limit\fR=\fILIMIT\fR;\ default=1000] [\fB\-\-page\-size\fR=\fIPAGE_SIZE\fR] [\fB\-\-sort\-by\fR=[\fIFIELD\fR,...]] [\fIGCLOUD_WIDE_FLAG\ ...\fR]



.SH "DESCRIPTION"

This command lists either all models in Model Garden or all Hugging Face models
supported by Model Garden.



.SH "EXAMPLES"

To list all models in Model Garden, run:

.RS 2m
$ gcloud ai model\-garden models list
.RE

To list Hugging Face models that can be deployed in Model Garden, run:

.RS 2m
$ gcloud ai model\-garden models list \-\-can\-deploy\-hugging\-face\-models
.RE

To list models with \f5gemma\fR in their names, run:

.RS 2m
$ gcloud ai model\-garden models list \-\-model\-filter=gemma
.RE

Note: Since the number of Hugging Face models is large, the default limit is set
to 500 with a page size of 100 when listing supported Hugging Face models. To
override the limit or page size, specify the \-\-limit or \-\-page\-size flags,
respectively. To list all models in Model Garden, use \f5\-\-limit=unlimited\fR.



.SH "FLAGS"

.RS 2m
.TP 2m
\fB\-\-can\-deploy\-hugging\-face\-models\fR

Whether to only list Hugging Face models that can be deployed.

.TP 2m
\fB\-\-full\-resource\-name\fR

Whether to return the full resource name of the model.

.TP 2m
\fB\-\-model\-filter\fR=\fIMODEL_FILTER\fR

Filter to apply to the model names or the display names of the list of models.


.RE
.sp

.SH "LIST COMMAND FLAGS"

.RS 2m
.TP 2m
\fB\-\-filter\fR=\fIEXPRESSION\fR

Apply a Boolean filter \fIEXPRESSION\fR to each resource item to be listed. If
the expression evaluates \f5True\fR, then that item is listed. For more details
and examples of filter expressions, run $ gcloud topic filters. This flag
interacts with other flags that are applied in this order: \fB\-\-flatten\fR,
\fB\-\-sort\-by\fR, \fB\-\-filter\fR, \fB\-\-limit\fR.

.TP 2m
\fB\-\-limit\fR=\fILIMIT\fR; default=1000

Maximum number of resources to list. The default is \fB1000\fR. This flag
interacts with other flags that are applied in this order: \fB\-\-flatten\fR,
\fB\-\-sort\-by\fR, \fB\-\-filter\fR, \fB\-\-limit\fR.

.TP 2m
\fB\-\-page\-size\fR=\fIPAGE_SIZE\fR

Some services group resource list output into pages. This flag specifies the
maximum number of resources per page. The default is determined by the service
if it supports paging, otherwise it is \fBunlimited\fR (no paging). Paging may
be applied before or after \fB\-\-filter\fR and \fB\-\-limit\fR depending on the
service.

.TP 2m
\fB\-\-sort\-by\fR=[\fIFIELD\fR,...]

Comma\-separated list of resource field key names to sort by. The default order
is ascending. Prefix a field with ``~'' for descending order on that field. This
flag interacts with other flags that are applied in this order:
\fB\-\-flatten\fR, \fB\-\-sort\-by\fR, \fB\-\-filter\fR, \fB\-\-limit\fR.


.RE
.sp

.SH "GCLOUD WIDE FLAGS"

These flags are available to all commands: \-\-access\-token\-file, \-\-account,
\-\-billing\-project, \-\-configuration, \-\-flags\-file, \-\-flatten,
\-\-format, \-\-help, \-\-impersonate\-service\-account, \-\-log\-http,
\-\-project, \-\-quiet, \-\-trace\-token, \-\-user\-output\-enabled,
\-\-verbosity.

Run \fB$ gcloud help\fR for details.



.SH "NOTES"

These variants are also available:

.RS 2m
$ gcloud alpha ai model\-garden models list
.RE

.RS 2m
$ gcloud beta ai model\-garden models list
.RE


